Bug 740320 - [ipa webui] Posix checkbox for group-add has no effect
Summary: [ipa webui] Posix checkbox for group-add has no effect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 15:58 UTC by Martin Kosek
Modified: 2011-12-06 18:32 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When a new group is being created via the Web UI, posix checkbox is not taken into account. Consequence: Non-posix group (a GID-less group) cannot be added via Web UI, posix group is always created Fix: Fix the checkbox so that non-posix group can be created Result: When a new group is being created via Web UI and the posix checkbox is unchecked, GID number edit field is disabled and the resulting group is non-posix
Clone Of:
Environment:
Last Closed: 2011-12-06 18:32:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Martin Kosek 2011-09-21 15:58:18 UTC
Description of problem:

When group is being added in WebUI, the Posix checkbox doesn't actually work. Triggering it on/off always leaves the group as posix (this is the default behavior for group-add command). If the group is supposed to be non-posix, --nonposix parameter has to be passed.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-1.el6.x86_64

How reproducible:

Open IPA WebUI, Identity tab. Then follow Steps to reproduce.

Steps to Reproduce:
1. Add a group in WebUI, don't check the posix checkbox and see if the resulting LDAP object has posixgroup objectclass
2. Add another group in WebUI, check the posix checkbox and see if the resulting LDAP object has posixgroup objectclass

  
Actual results:
1. it has posixgroup objectclass
2. it has posixgroup objectclass

Expected results:
The checkbox should be checked on by default. When unchecked, --nonposix should be passed to group-add command.

1. when unchecked, the group shouldn't have posixgroup objectclass (and GID)
2. when checked (default), the group should have posixgroup objectclass

Comment 1 Martin Kosek 2011-09-21 16:02:50 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1833

Comment 2 Endi Sukma Dewata 2011-09-21 17:57:42 UTC
This was fixed in this ticket:
https://fedorahosted.org/freeipa/ticket/1799

Comment 6 Martin Kosek 2011-10-31 21:19:43 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When a new group is being created via the Web UI, posix checkbox is not taken into account.
Consequence: Non-posix group (a GID-less group) cannot be added via Web UI, posix group is always created
Fix: Fix the checkbox so that non-posix group can be created
Result: When a new group is being created via Web UI and the posix checkbox is unchecked, GID number edit field is disabled and the resulting group is non-posix

Comment 7 Namita Soman 2011-11-06 01:48:35 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

1. when unchecked, the group has posixgroup objectclass (and GID)
2. when checked (default), the group has posixgroup objectclass

Comment 8 errata-xmlrpc 2011-12-06 18:32:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.